<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Controller\Adminhtml\Jobs;

use FiloBlu\MappConnector\Model\JobsFactory;
use Magento\Backend\App\Action;
use Magento\Backend\Model\View\Result\Redirect;
use Magento\Framework\App\ResponseInterface;
use Magento\Framework\Controller\ResultFactory;
use Magento\Framework\Controller\ResultInterface;

/**
 * Class MassDelete
 * @package FiloBlu\MappConnector\Controller\Adminhtml\Jobs
 */
class MassDelete extends Action
{
    /**
     * @var JobsFactory
     */
    private $jobsFactory;

    /**
     * MassDelete constructor.
     * @param Action\Context $context
     * @param JobsFactory $jobsFactory
     */
    public function __construct(Action\Context $context, JobsFactory $jobsFactory)
    {
        parent::__construct($context);
        $this->jobsFactory = $jobsFactory;
    }

    /**
     * @return Redirect|ResponseInterface|ResultInterface
     */
    public function execute()
    {
        $ids = $this->getRequest()->getParam('ids');

        foreach ($ids as $id) {
            $row = $this->jobsFactory->create()->load($id);
            $row->delete();
        }

        $this->messageManager->addSuccessMessage(__('A total of %1 record(s) have been deleted.', count($ids)));

        /** @var Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('*/*/');
    }

}
