<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Controller\Adminhtml\Jobs;

use FiloBlu\MappConnector\Model\JobsFactory;
use Magento\Backend\App\Action;
use Magento\Backend\Model\View\Result\Redirect;
use Magento\Framework\Controller\ResultFactory;

/**
 * Class MassUpdateProcessed
 *
 * @package FiloBlu\MappConnector\Controller\Adminhtml\Jobs
 */
class MassUpdateProcessed extends Action
{
    /**
     * @var JobsFactory
     */
    private $jobsFactory;

    /**
     * MassUpdateProcessed constructor.
     * @param Action\Context $context
     * @param JobsFactory $jobsFactory
     */
    public function __construct(
        Action\Context $context,
        JobsFactory $jobsFactory
    ) {
        parent::__construct($context);
        $this->jobsFactory = $jobsFactory;
    }

    /**
     * @return Redirect
     */
    public function execute()
    {
        $ids = $this->getRequest()->getParam('ids');

        foreach ($ids as $id) {
            $row = $this->jobsFactory->create()->load($id);
            $row->setData('status', 'processed')->save();
        }

        $this->messageManager->addSuccessMessage(__('A total of %1 record(s) have been as waiting.', count($ids)));

        /** @var Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('*/*/');
    }
}
